> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/external-content-examples/multi-bet-with-mixed-content-external-and-sportradar.md).

# Multi-bet with Mixed Content (External and Sportradar)

The example ticket contains two bets (the Bets array length = 2).\
The first bet contains its stake and two selections, the first one includes external (non-Sportradar) content ("event": "ext:match:736977", "outcome": "ext-pre:9985:s77"), whereas the second selection contains content from the Sportradar feed.\
The second bet also contains its stake and one selection with content from the Sportradar feed.

<details>

<summary><strong>Ticket Placement Request</strong> </summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_5129",
    "bets": [
      {
        "betId": "Ticket_5129_bet0",
        "selections": [
          {
            "type": "external",
            "event": "ext:match:736977",
            "expSettleTime": 1691581504000,
            "outcome": "ext-pre:9985:s77",
            "odds": {
              "type": "decimal",
              "value": "7.1"
            }
          },
          {
            "type": "uf",
            "productId": "1",
            "eventId": "sr:match:15163591",
            "marketId": "1",
            "outcomeId": "2",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.48"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "50"
          }
        ]
      },
      {
        "betId": "Ticket_5129_bet1",
        "selections": [
         {
           "type": "uf",
           "productId": "3",
           "eventId": "sr:season:55413",
           "marketId": "534",
           "outcomeId": "pre:outcometext:9919",
           "specifiers": "variant=pre:markettext:60279",
           "odds": {
             "type": "decimal",
             "value": "1.1"
           }
         }
       ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "10"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "retail",
        "shopId": "shop_789135"
      },
      "limitId": 1409
    }
  },
  "correlationId": "tD01Nm532",
  "timestampUtc": 1679060042000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "JMK9a09B8vVm8tvHk3PPJTjNd0lHRklfh+7rXgQkDtU=",
    "status": "accepted",
    "ticketId": "Ticket_5129",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "betId": "Ticket_5129_bet0",
        "selectionDetails": [
          {
            "selection": {
              "type": "external",
              "event": "ext:match:736977",
              "expSettleTime": 1691581504000,
              "outcome": "ext-pre:9985:s77",
              "odds": {
                "type": "decimal",
                "value": "7.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      },
      {
        "betId": "Ticket_5129_bet1",
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:season:55413",
              "marketId": "534",
              "outcomeId": "pre:outcometext:9919",
              "specifiers": "variant=pre:markettext:60279",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      }
    ],
    "exchangeRate": [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      },
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "tD01Nm532",
  "timestampUtc": 1679060043000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/external-content-examples/multi-bet-with-mixed-content-external-and-sportradar.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
